Rated 5 out of 5 stars

Try editing the max version of for cookieswap to 3.6.*, I did and it is working fine.
http://kb.mozillazine.org/Editing_an_add-on_to_change_its_compatibility
Mind and use the xpi from here not the site because that one is outdated.

This review is for a previous version of the add-on (0.5.248Beta).